---
title: "Retrieve PY Employee Deductions By Code"
slug: "retrieve-py-employee-deductions-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-py-employee-deductions-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve PY Employee Deductions By Code

Get/hcm-rest-api/rest/1/pyempded

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select By Code
- By UUID

#### Select By Code

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| PloCode | Plan Option Code | 401K 1% |
| DedCode | Deduction Type Code | 401K |
| PlanCode | Plan Code | 401K |
| EmpNo | Employee Number | 006 |
| EffStartDate | Effective Start Date | 2015-01-01 |
| EndDate | End Date | 2022-06-30 |

#### By UUID

This is an optional finder for querying a specific Employee Deduction by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /hcm-rest-api/rest/1/pyempded/EFE1D405C9F306D2E05316821FAC680E |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectByCode; PloCode=401K 1%, DedCode=401K ,PlanCode=401K ,EmpNo=006, EffStartDate=2015-01-01, EndDate=2022-06-30
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleEmdVUuid

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='de1fe447-1619-4f0f-9f2a-fae5812122fd'>application/json</option>
</select>

```json
{
  "items": [
    {
      "EmdCompCode": "001",
      "EmdPrnCode": "WK",
      "EmdEmpNo": "006",
      "EmdDedCode": "401K",
      "EmdDedName": "401K Deduction",
      "EmdStartDate": "2015-01-01",
      "EmdEffStartDate": "2015-01-01",
      "EmdEndDate": null,
      "EmdDedAmount": 1,
      "EmdDedType": "L",
      "EmdBaseCode": null,
      "EmdContrAmt": null,
      "EmdContrMaxAmt": null,
      "EmdBaseAmt": null,
      "EmdPlanCode": "401K",
      "EmdPlanName": "401K",
      "EmdPloCode": "401K 1%",
      "EmdPloName": "401K 1%",
      "EmdVendor": "0001-10-01T00:00:00Z",
      "EmdVenName": "Sun Life Group",
      "EmdOutOfAreaFlag": "N",
      "EmdOthInsurFlag": "N",
      "EmdOthInsurVendor": null,
      "EmdOthPolicyNo": null,
      "EmdOthPolicyName": null,
      "EmdOthInsurEffDate": null,
      "EmdComment": null,
      "EmdDeductionSeq": 30950,
      "EmdVendorAddCode": null,
      "EmdDefaultAmount": 1,
      "EmdMinMax": null,
      "EmdMinMaxAmt": null,
      "EmdTotalAmt": null,
      "EmdEmplrContrEffectiveDate": null,
      "EmdLtdTotalAmt": null,
      "EmdUser": "ARCORO",
      "EmdStartDateDisplay": "2015-01-01T00:00:00Z",
      "EmdLastUpdDate": "2022-12-15T17:03:12Z",
      "EmdVUuid": "EFE1D405C9F306D2E05316821FAC680E",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempded/EFE1D405C9F306D2E05316821FAC680E",
          "name": "pyempded",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempded/EFE1D405C9F306D2E05316821FAC680E",
          "name": "pyempded",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/pyempded",
      "name": "pyempded",
      "kind": "collection"
    }
  ]
}
```

object
